% make_continuous_starttimes
%
% Make start time files for continuous daily data downloads
% output format YYYYmmddhhMM
%
% Yuechu Wu
% 2022-04-27


clear; close all;

% date format yyyy-mm-dd
startdate = '2012-03-01';
enddate   = '2012-03-15';

% output dayfile
filename = 'NOISETC_CI/starttimes_CItest.txt';


%%%%% end user input parameters %%%%%

startnum = datenum(startdate,'yyyy-mm-dd');
endnum = datenum(enddate,'yyyy-mm-dd');

daylist = {};
ii = 0;
daynums = [startnum:endnum];
for iday = 1:length(daynums)
    day = datestr(daynums(iday),'yyyymmdd0000'); 
    ii = ii + 1;
    daylist{ii} = day;
end    


% Save starttimes to text file
fid = fopen(filename,'w');
for iev = 1:length(daylist)
    fprintf(fid,'%s\n',daylist{iev});
end
fclose(fid);

